MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003208ATutorTests/Surveyspublic2007-12-03 00:002008-08-21 08:57
ReporterIndieRect 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.5.5 
Target VersionFixed in Version 
Summary0003208: Users revealed in anonymous tests
DescriptionWhen an instructor views stats in an anonymous test, student logins are displayed in tools/tests/results_all.php and tools/tests/results_all_csv.php (maybe somewhere else).

The anonymity should be real, so that an instructor should have no technical ability to reveal student identities.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0002593)
greg (administrator)
2007-12-09 05:21

added anonymous for CSV and show all results where test property is set to annonymous

Committed revision 7119.
(0002696)
IndieRect (reporter)
2007-12-23 22:36

ATutor version: 1.6 beta 2.

Thanks for having fixed the previous. But there is one more bug here that appeared in beta2 and has to be fixed immediately:

Line 189 of tools/tests/results.php unconditionally outputs member's full name. It should consult $anonymous var and, if it's true, output $guest_text (see line 92).

See also: http://www.atutor.ca/atutor/mantis/view.php?id=3268 [^] .
(0002727)
harris (developer)
2008-01-09 09:24

7211

- Issue History
Date Modified Username Field Change
2007-12-03 00:00 IndieRect New Issue
2007-12-03 00:00 IndieRect Affects version => SVN
2007-12-09 05:21 greg Status new => resolved
2007-12-09 05:21 greg Fixed in Version => 1.6
2007-12-09 05:21 greg Resolution open => fixed
2007-12-09 05:21 greg Assigned To => greg
2007-12-09 05:21 greg Note Added: 0002593
2007-12-23 22:36 IndieRect Status resolved => feedback
2007-12-23 22:36 IndieRect Resolution fixed => reopened
2007-12-23 22:36 IndieRect Note Added: 0002696
2008-01-09 09:24 harris Status feedback => assigned
2008-01-09 09:24 harris Assigned To greg => harris
2008-01-09 09:24 harris Status assigned => resolved
2008-01-09 09:24 harris Fixed in Version 1.6 =>
2008-01-09 09:24 harris Resolution reopened => fixed
2008-01-09 09:24 harris Note Added: 0002727
2008-08-21 08:57 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker